Debian Bug report logs - #661822
nvidia-glx: NVIDIA 295.20 hard-crashes system on suspend, stop X server

version graph

Package: nvidia-glx; Maintainer for nvidia-glx is Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>; Source for nvidia-glx is src:nvidia-graphics-drivers.

Reported by: Nathan Wallach <tani@tx.technion.ac.il>

Date: Thu, 1 Mar 2012 16:30:05 UTC

Severity: normal

Tags: upstream

Found in versions nvidia-graphics-drivers/295.33-1, nvidia-graphics-drivers/295.20-1

Fixed in version 295.59-1

Done: Andreas Beckmann <debian@abeckmann.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#661822; Package nvidia-glx. (Thu, 01 Mar 2012 16:30:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nathan Wallach <tani@tx.technion.ac.il>:
New Bug report received and forwarded. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Thu, 01 Mar 2012 16:30:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nathan Wallach <tani@tx.technion.ac.il>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: nvidia-glx: NVIDIA 295.20 hard-crashes system on suspend, stop X server
Date: Thu, 1 Mar 2012 18:17:26 +0200
Package: nvidia-glx
Version: 295.20-1
Severity: important

Had major problems with 295.20-1 with suspend/shutdown/logout and even stopping
gdm or the X server. After downgrading back to 290.10-1 suspend/resume work
fine again.

I recently (26 Feb) upgraded from 290.10-1 to 295.20-1 on my laptop (HP 8440p
with a NVS 3100M graphics system) using the packages for 295.20-1 from debian
testing. My system is mostly debian stable, but with some packages from debian
testing. On 27 Feb I stopped X, removed the module and then restarted X when I
recalled that I had not done so immediately after the upgrade. Between the
upgrade and loading the new module - the system was able to suspend and resume
properly! Since then I have had multiple problems, all which seem related to
the Nvidia 295.20-1 driver.

1. Suspend to Ram stopped working. Would look like it was about to suspend, but
the system logs did not show a suspend starting and then CPU/fan would keep
running. Only hard power off helped.

2. On some occasions shutdown (from Gnome menu when logged in) worked and on
other cases it failed. When shutdown failed - only hard power off worked.

3. Trying to stop gdm3 caused the same type of freeze.

4. Killing X when started using "startx" via control-c, caused the same freeze.

Not related to the crash - but this version of the driver does not allow
changing to a Virtual Terminal from the X screen. This made some debugging and
testing more complex than it should be.

In all cases of the "crash" the laptop power would stay ON, the fan was pushing
warm air out, and the system would not respond to keyboard at all. Network
connections also failed or were dropped - even when the connection was live and
working a few seconds before the change. The system would not respond to "ping"
anymore either. After every crash and hard-reset, my /home partition was
"unclean" and in quite a few cases there were messed up files (multiply claimed
blocks, unused inodes, etc.)

On the attempt to suspend - daemon.log shows that NetworkManager received the
request to sleep, but kern.log did not get the messages "PM: Syncing
filesystems ... done." or "PM: Preparing system for mem sleep" which show up as
the suspend process is being done.

Bottom line - at least on my machine the 295.20-1 driver made using the system
quite inconvenient, as suspend/resume was totally non-functional, and even
shutdowns sometimes failed - forcing long file system checks during boots.

Reported upsteam at http://www.nvnews.net/vbulletin/showthread.php?p=2532827
also.

This bug report being files after the downgrade back to 290.10-1.



-- Package-specific info:
uname -a:
Linux lxtani.math.technion.ac.il 2.6.32-5-amd64 #1 SMP Mon Jan 16 16:22:28 UTC
2012 x86_64 GNU/Linux

/proc/version:
Linux version 2.6.32-5-amd64 (Debian 2.6.32-41) (ben@decadent.org.uk) (gcc
version 4.3.5 (Debian 4.3.5-4) ) #1 SMP Mon Jan 16 16:22:28 UTC 2012

/proc/driver/nvidia/version:
NVRM version: NVIDIA UNIX x86_64 Kernel Module  290.10  Wed Nov 16 17:39:29 PST
2011
GCC version:  gcc version 4.3.5 (Debian 4.3.5-4)

lspci 'VGA compatible controller [0300]':
01:00.0 VGA compatible controller [0300]: nVidia Corporation GT218 [NVS 3100M]
[10de:0a6c] (rev a2) (prog-if 00 [VGA controller])
        Subsystem: Hewlett-Packard Company Device [103c:172b]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin A routed to IRQ 16
        Region 0: Memory at d2000000 (32-bit, non-prefetchable) [size=16M]
        Region 1: Memory at c0000000 (64-bit, prefetchable) [size=256M]
        Region 3: Memory at d0000000 (64-bit, prefetchable) [size=32M]
        Region 5: I/O ports at 5000 [size=128]
        [virtual] Expansion ROM at d3080000 [disabled] [size=512K]
        Capabilities: <access denied>
        Kernel driver in use: nvidia

dmesg:
[    0.000000] No AGP bridge found
[    0.000000] Console: colour VGA+ 80x25
[    0.626003] vgaarb: device added:
PCI:0000:01:00.0,decodes=io+mem,owns=io+mem,locks=none
[    0.626008] vgaarb: loaded
[    0.792098] Linux agpgart interface v0.103
[   18.218103] nvidia: module license 'NVIDIA' taints kernel.
[   18.333040] nvidia 0000:01:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[   18.333052] nvidia 0000:01:00.0: setting latency timer to 64
[   18.333057] vgaarb: device changed decodes:
PCI:0000:01:00.0,olddecodes=io+mem,decodes=none:owns=io+mem
[   18.333177] NVRM: loading NVIDIA UNIX x86_64 Kernel Module  290.10  Wed Nov
16 17:39:29 PST 2011
[   20.820494] hda_intel: Disable MSI for Nvidia chipset
[   27.855140] Modules linked in: loop(+) firewire_sbp2 snd_hda_codec_idt
snd_hda_intel snd_hda_codec snd_hwdep snd_pcm_oss snd_mixer_oss snd_pcm
snd_seq_midi snd_rawmidi snd_seq_midi_event ide_cs snd_seq ide_core uvcvideo
videodev v4l1_compat arc4 v4l2_compat_ioctl32 joydev snd_timer ecb iwlagn
hp_accel tpm_infineon snd_seq_device pcmcia iwlcore parport_pc lis3lv02d tpm
psmouse snd nvidia(P) yenta_socket mac80211 rsrc_nonstatic pcspkr i2c_core
pcmcia_core parport wmi tpm_bios cfg80211 serio_raw soundcore rfkill
snd_page_alloc input_polldev evdev button ac video container output processor
battery ext3 jbd mbcache sg sr_mod cdrom sd_mod crc_t10dif usbhid hid sdhci_pci
sdhci ahci mmc_core libata led_class ricoh_mmc ehci_hcd firewire_ohci
firewire_core crc_itu_t scsi_mod e1000e usbcore nls_base thermal thermal_sys
[last unloaded: scsi_wait_scan]
[  206.939368] nvidia 0000:01:00.0: restoring config space at offset 0xf (was
0x100, writing 0x10a)
[  206.939378] nvidia 0000:01:00.0: restoring config space at offset 0x9 (was
0x1, writing 0x5001)
[  206.939384] nvidia 0000:01:00.0: restoring config space at offset 0x7 (was
0xc, writing 0xd000000c)
[  206.939389] nvidia 0000:01:00.0: restoring config space at offset 0x5 (was
0xc, writing 0xc000000c)
[  206.939394] nvidia 0000:01:00.0: restoring config space at offset 0x4 (was
0x0, writing 0xd2000000)
[  206.939400] nvidia 0000:01:00.0: restoring config space at offset 0x1 (was
0x100000, writing 0x100007)

OpenGL and NVIDIA library files installed:
lrwxrwxrwx 1 root root       15 Sep 10 23:14 /etc/alternatives/glx ->
/usr/lib/nvidia
lrwxrwxrwx 1 root root       43 Sep 10 23:14 /etc/alternatives/glx--
libGL.so.1-x86_64-linux-gnu -> /usr/lib/x86_64-linux-gnu/nvidia/libGL.so.1
lrwxrwxrwx 1 root root       43 Sep 10 23:14 /etc/alternatives/glx--
libGL.so.1-x86_64-linux-gnu -> /usr/lib/x86_64-linux-gnu/nvidia/libGL.so.1
lrwxrwxrwx 1 root root       51 Sep 10 23:14 /etc/alternatives/glx--
libXvMCNVIDIA.so.1-x86_64-linux-gnu -> /usr/lib/x86_64-linux-
gnu/nvidia/libXvMCNVIDIA.so.1
lrwxrwxrwx 1 root root       59 Sep 10 23:14 /etc/alternatives/glx--
libXvMCNVIDIA_dynamic.so.1-x86_64-linux-gnu -> /usr/lib/x86_64-linux-
gnu/nvidia/libXvMCNVIDIA_dynamic.so.1
lrwxrwxrwx 1 root root       51 Sep 10 23:14 /etc/alternatives/glx--libnvidia-
cfg.so.1-x86_64-linux-gnu -> /usr/lib/x86_64-linux-gnu/nvidia/libnvidia-
cfg.so.1
lrwxrwxrwx 1 root root       25 Sep 10 23:14 /etc/alternatives/glx--linux-
libglx.so -> /usr/lib/nvidia/libglx.so
lrwxrwxrwx 1 root root       36 Sep 10 23:14 /etc/alternatives/glx--nvidia-bug-
report.sh -> /usr/lib/nvidia/nvidia-bug-report.sh
lrwxrwxrwx 1 root root       29 Sep 10 23:14 /etc/alternatives/glx--
nvidia_drv.so -> /usr/lib/nvidia/nvidia_drv.so
lrwxrwxrwx 1 root root       23 Jul 20  2011 /etc/alternatives/nvidia ->
/usr/lib/nvidia/current
lrwxrwxrwx 1 root root       51 Jul 20  2011 /etc/alternatives/nvidia--
libGL.so.1-x86_64-linux-gnu -> /usr/lib/x86_64-linux-
gnu/nvidia/current/libGL.so.1
lrwxrwxrwx 1 root root       51 Jul 20  2011 /etc/alternatives/nvidia--
libGL.so.1-x86_64-linux-gnu -> /usr/lib/x86_64-linux-
gnu/nvidia/current/libGL.so.1
lrwxrwxrwx 1 root root       59 Jul 20  2011 /etc/alternatives/nvidia--
libXvMCNVIDIA.so.1-x86_64-linux-gnu -> /usr/lib/x86_64-linux-
gnu/nvidia/current/libXvMCNVIDIA.so.1
lrwxrwxrwx 1 root root       67 Jul 20  2011 /etc/alternatives/nvidia--
libXvMCNVIDIA_dynamic.so.1-x86_64-linux-gnu -> /usr/lib/x86_64-linux-
gnu/nvidia/current/libXvMCNVIDIA_dynamic.so.1
lrwxrwxrwx 1 root root       33 Jul 20  2011 /etc/alternatives/nvidia--
libglx.so -> /usr/lib/nvidia/current/libglx.so
lrwxrwxrwx 1 root root       59 Jul 20  2011 /etc/alternatives/nvidia
--libnvidia-cfg.so.1-x86_64-linux-gnu -> /usr/lib/x86_64-linux-
gnu/nvidia/current/libnvidia-cfg.so.1
lrwxrwxrwx 1 root root       44 Jul 20  2011 /etc/alternatives/nvidia--nvidia-
bug-report.sh -> /usr/lib/nvidia/current/nvidia-bug-report.sh
lrwxrwxrwx 1 root root       37 Jul 20  2011 /etc/alternatives/nvidia--
nvidia_drv.so -> /usr/lib/nvidia/current/nvidia_drv.so
lrwxrwxrwx 1 root root       50 Sep 10 23:14 /usr/lib/x86_64-linux-
gnu/libGL.so.1 -> /etc/alternatives/glx--libGL.so.1-x86_64-linux-gnu
lrwxrwxrwx 1 root root       58 Sep 10 23:14 /usr/lib/x86_64-linux-gnu
/libnvidia-cfg.so.1 -> /etc/alternatives/glx--libnvidia-cfg.so.1-x86_64-linux-
gnu
-rw-r--r-- 1 root root 34523280 Nov 17 03:59 /usr/lib/x86_64-linux-gnu
/libnvidia-glcore.so.290.10
-rw-r--r-- 1 root root    11000 Nov 17 04:06 /usr/lib/x86_64-linux-gnu
/libnvidia-tls.so.290.10
lrwxrwxrwx 1 root root       10 Jun 27  2011 /usr/lib32/libGL.so -> libGL.so.1
lrwxrwxrwx 1 root root       12 Jan 28 21:01 /usr/lib32/libGL.so.1 ->
libGL.so.1.2
-rw-r--r-- 1 root root   401560 Sep 17 00:28 /usr/lib32/libGL.so.1.2
-rw-r--r-- 1 root root 21327 Mar  1 17:17 /var/log/Xorg.0.log
-rw-r--r-- 1 root root 19700 Mar  1 16:23 /var/log/Xorg.0.log.old
-rw-r--r-- 1 root root 20765 Feb 11 20:12 /var/log/Xorg.1.log
-rw-r--r-- 1 root root 22050 Feb 11 20:11 /var/log/Xorg.1.log.old
-rw-r--r-- 1 root root 20601 Feb 13 15:54 /var/log/Xorg.2.log
-rw-r--r-- 1 root root 20601 Feb 13 15:26 /var/log/Xorg.2.log.old
-rw-r--r-- 1 root root 28298 Dec 30  2010 /var/log/Xorg.20.log
-rw-r--r-- 1 root root 20601 Feb 18 19:58 /var/log/Xorg.3.log
-rw-r--r-- 1 root root 30726 Feb 18 19:52 /var/log/Xorg.3.log.old
-rw-r--r-- 1 root root 20601 Feb 14 18:50 /var/log/Xorg.4.log
-rw-r--r-- 1 root root 20773 Jan  9 17:50 /var/log/Xorg.4.log.old
-rw-r--r-- 1 root root 20770 Feb 22 22:03 /var/log/Xorg.5.log
-rw-r--r-- 1 root root 21803 Feb 22 21:09 /var/log/Xorg.5.log.old
-rw-r--r-- 1 root root  6593 Feb 27 19:22 /var/log/Xorg.6.log

/usr/lib/mesa-diverted/:
total 648
drwxr-xr-x   4 root root   4096 Oct 10 12:36 .
drwxr-xr-x 270 root root 114688 Mar  1 11:17 ..
drwxr-xr-x   2 root root   4096 Jul  5  2011 i386-linux-gnu
lrwxrwxrwx   1 root root     12 Oct 10 12:36 libGL.so.1 -> libGL.so.1.2
-rw-r--r--   1 root root 527728 Sep  3 19:13 libGL.so.1.2
drwxr-xr-x   2 root root   4096 Jul  5  2011 x86_64-linux-gnu

/usr/lib/mesa-diverted/i386-linux-gnu/:
total 8
drwxr-xr-x 2 root root 4096 Jul  5  2011 .
drwxr-xr-x 4 root root 4096 Oct 10 12:36 ..

/usr/lib/mesa-diverted/x86_64-linux-gnu/:
total 8
drwxr-xr-x 2 root root 4096 Jul  5  2011 .
drwxr-xr-x 4 root root 4096 Oct 10 12:36 ..

/usr/lib/nvidia/:
total 140
drwxr-xr-x   3 root root   4096 Mar  1 17:12 .
drwxr-xr-x 270 root root 114688 Mar  1 11:17 ..
-rwxr-xr-x   1 root root   1860 Nov 10 18:01 check-for-conflicting-opengl-
libraries
-rwxr-xr-x   1 root root   1717 Nov 10 17:56 check-for-mismatching-nvidia-
module
-rwxr-xr-x   1 root root   2566 Jul 12  2011 create-xorg-nvidia-conf-
experimental
drwxr-xr-x   2 root root   4096 Mar  1 17:12 current
lrwxrwxrwx   1 root root     35 Jul 20  2011 libglx.so ->
/etc/alternatives/nvidia--libglx.so
lrwxrwxrwx   1 root root     24 Jul 20  2011 nvidia -> /etc/alternatives/nvidia
lrwxrwxrwx   1 root root     46 Jul 20  2011 nvidia-bug-report.sh ->
/etc/alternatives/nvidia--nvidia-bug-report.sh
lrwxrwxrwx   1 root root     39 Jul 20  2011 nvidia_drv.so ->
/etc/alternatives/nvidia--nvidia_drv.so
-rwxr-xr-x   1 root root    441 Apr 27  2011 pre-install

/usr/lib/nvidia/current/:
total 15892
drwxr-xr-x 2 root root    4096 Mar  1 17:12 .
drwxr-xr-x 3 root root    4096 Mar  1 17:12 ..
lrwxrwxrwx 1 root root      16 Mar  1 17:12 libglx.so -> libglx.so.290.10
-rw-r--r-- 1 root root 8392712 Nov 17 04:06 libglx.so.290.10
-rwxr-xr-x 1 root root   15138 Oct  4 16:26 nvidia-bug-report.sh
-rw-r--r-- 1 root root    3861 Nov 23 06:14 nvidia.ids
-rw-r--r-- 1 root root 7821216 Nov 17 03:45 nvidia_drv.so

/usr/lib/nvidia/nvidia/:
total 15892
drwxr-xr-x 2 root root    4096 Mar  1 17:12 .
drwxr-xr-x 3 root root    4096 Mar  1 17:12 ..
lrwxrwxrwx 1 root root      16 Mar  1 17:12 libglx.so -> libglx.so.290.10
-rw-r--r-- 1 root root 8392712 Nov 17 04:06 libglx.so.290.10
-rwxr-xr-x 1 root root   15138 Oct  4 16:26 nvidia-bug-report.sh
-rw-r--r-- 1 root root    3861 Nov 23 06:14 nvidia.ids
-rw-r--r-- 1 root root 7821216 Nov 17 03:45 nvidia_drv.so

/usr/lib/x86_64-linux-gnu/nvidia/:
total 24
drwxr-xr-x  3 root root 4096 Jul 20  2011 .
drwxr-xr-x 12 root root 4096 Mar  1 17:12 ..
drwxr-xr-x  2 root root 4096 Mar  1 17:12 current
lrwxrwxrwx  1 root root   53 Jul 20  2011 libGL.so.1 ->
/etc/alternatives/nvidia--libGL.so.1-x86_64-linux-gnu
lrwxrwxrwx  1 root root   61 Jul 20  2011 libXvMCNVIDIA.so.1 ->
/etc/alternatives/nvidia--libXvMCNVIDIA.so.1-x86_64-linux-gnu
lrwxrwxrwx  1 root root   69 Jul 20  2011 libXvMCNVIDIA_dynamic.so.1 ->
/etc/alternatives/nvidia--libXvMCNVIDIA_dynamic.so.1-x86_64-linux-gnu
lrwxrwxrwx  1 root root   61 Jul 20  2011 libnvidia-cfg.so.1 ->
/etc/alternatives/nvidia--libnvidia-cfg.so.1-x86_64-linux-gnu

/usr/lib/x86_64-linux-gnu/nvidia/current/:
total 1336
drwxr-xr-x 2 root root    4096 Mar  1 17:12 .
drwxr-xr-x 3 root root    4096 Jul 20  2011 ..
lrwxrwxrwx 1 root root      15 Mar  1 17:12 libGL.so.1 -> libGL.so.290.10
-rw-r--r-- 1 root root 1046608 Nov 17 04:01 libGL.so.290.10
lrwxrwxrwx 1 root root      23 Mar  1 17:12 libXvMCNVIDIA.so.1 ->
libXvMCNVIDIA.so.290.10
-rw-r--r-- 1 root root  156632 Nov 17 03:45 libXvMCNVIDIA.so.290.10
lrwxrwxrwx 1 root root      23 Mar  1 17:12 libXvMCNVIDIA_dynamic.so.1 ->
libXvMCNVIDIA.so.290.10
lrwxrwxrwx 1 root root      23 Mar  1 17:12 libnvidia-cfg.so.1 -> libnvidia-
cfg.so.290.10
-rw-r--r-- 1 root root  136616 Nov 17 04:47 libnvidia-cfg.so.290.10

Files from nvidia-installer:

Config and logfiles:

<<<<<<<<<< /etc/X11/xorg.conf >>>>>>>>>>
# nvidia-xconfig: X configuration file generated by nvidia-xconfig
# nvidia-xconfig:  version 275.09.07  (buildd@brahms)  Thu Jun 16 15:14:57 UTC
2011

Section "ServerLayout"
    Identifier     "Layout0"
    Screen      0  "Screen0" 0 0
    InputDevice    "Keyboard0" "CoreKeyboard"
    InputDevice    "Mouse0" "CorePointer"
    Option         "Xinerama" "0"
EndSection

Section "Files"
EndSection

Section "Module"
    Load           "dbe"
    Load           "extmod"
    Load           "type1"
    Load           "freetype"
    Load           "glx"
EndSection

Section "InputDevice"
    Identifier     "Keyboard0"
    Driver         "kbd"
    Option         "XkbRules" "xorg"
    Option         "XkbModel" "pc104"
    Option         "XkbLayout" "us"
EndSection

Section "InputDevice"
    Identifier     "Mouse0"
    Driver         "mouse"
EndSection

Section "Monitor"
    Identifier     "Configured Monitor"
    VendorName     "Unknown"
    ModelName      "Unknown"
    HorizSync       28.0 - 33.0
    VertRefresh     43.0 - 72.0
    Option         "DPMS"
EndSection

Section "Monitor"
    Identifier     "Monitor0"
    VendorName     "Unknown"
    ModelName      "ViewSonic VA1926wSERIES"
    HorizSync       24.0 - 82.0
    VertRefresh     50.0 - 75.0
EndSection

Section "Device"
    Identifier     "Device0"
    Driver         "nvidia"
    VendorName     "NVIDIA Corporation"
    BoardName      "NVS 3100M"
EndSection

Section "Screen"

# Removed Option "metamodes" "DFP: nvidia-auto-select +1440+0, CRT: nvidia-
auto-select +0+0"
# Removed Option "metamodes" "CRT: nvidia-auto-select +1600+0, DFP: nvidia-
auto-select +0+0"
# Removed Option "metamodes" "CRT: nvidia-auto-select +0+0, DFP: nvidia-auto-
select +1440+0"
    Identifier     "Screen0"
    Device         "Device0"
    Monitor        "Monitor0"
    DefaultDepth    24
    Option         "TwinView" "1"
    Option         "TwinViewXineramaInfoOrder" "DFP-3"
    Option         "metamodes" "CRT: nvidia-auto-select +1600+0, DFP: nvidia-
auto-select +0+0"
    SubSection     "Display"
        Depth       24
    EndSubSection
EndSection

^^^^^^^^^^ /etc/X11/xorg.conf ^^^^^^^^^^

<<<<<<<<<< /var/log/Xorg.0.log >>>>>>>>>>

X.Org X Server 1.7.7
Release Date: 2010-05-04
X Protocol Version 11, Revision 0
Build Operating System: Linux 3.0.0-1-amd64 x86_64 Debian
Current Operating System: Linux lxtani.math.technion.ac.il 2.6.32-5-amd64 #1
SMP Mon Jan 16 16:22:28 UTC 2012 x86_64
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.32-5-amd64
root=UUID=e8c80a14-34f3-4af7-a93a-e5768a5600ba ro quiet
Build Date: 29 October 2011  06:58:14PM
xorg-server 2:1.7.7-14 (Julien Cristau <jcristau@debian.org>)
Current version of pixman: 0.24.4
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Thu Mar  1 17:15:54 2012
(==) Using config file: "/etc/X11/xorg.conf"
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
(==) ServerLayout "Layout0"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Monitor0"
(**) |   |-->Device "Device0"
(**) |-->Input Device "Keyboard0"
(**) |-->Input Device "Mouse0"
(**) Option "Xinerama" "0"
(==) Automatically adding devices
(==) Automatically enabling devices
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
        Entry deleted from font path.
(==) FontPath set to:
        /usr/share/fonts/X11/misc,
        /usr/share/fonts/X11/100dpi/:unscaled,
        /usr/share/fonts/X11/75dpi/:unscaled,
        /usr/share/fonts/X11/Type1,
        /usr/share/fonts/X11/100dpi,
        /usr/share/fonts/X11/75dpi,
        /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
        built-ins
(==) ModulePath set to "/usr/lib/xorg/modules"
(WW) AllowEmptyInput is on, devices using drivers 'kbd', 'mouse' or 'vmmouse'
will be disabled.
(WW) Disabling Keyboard0
(WW) Disabling Mouse0
(II) Loader magic: 0x7c8a40
(II) Module ABI versions:
        X.Org ANSI C Emulation: 0.4
        X.Org Video Driver: 6.0
        X.Org XInput driver : 7.0
        X.Org Server Extension : 2.0
(++) using VT number 7

(--) PCI:*(0:1:0:0) 10de:0a6c:103c:172b nVidia Corporation GT218 [NVS 3100M]
rev 162, Mem @ 0xd2000000/16777216, 0xc0000000/268435456, 0xd0000000/33554432,
I/O @ 0x00005000/128, BIOS @ 0x????????/524288
(II) Open ACPI successful (/var/run/acpid.socket)
(II) "extmod" will be loaded. This was enabled by default and also specified in
the config file.
(II) "dbe" will be loaded. This was enabled by default and also specified in
the config file.
(II) "glx" will be loaded. This was enabled by default and also specified in
the config file.
(II) "record" will be loaded by default.
(II) "dri" will be loaded by default.
(II) "dri2" will be loaded by default.
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
        compiled for 1.7.7, module version = 1.0.0
        Module class: X.Org Server Extension
        ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
        compiled for 1.7.7, module version = 1.0.0
        Module class: X.Org Server Extension
        ABI class: X.Org Server Extension, version 2.0
(II) Loading extension SELinux
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/linux/libglx.so
(II) Module glx: vendor="NVIDIA Corporation"
        compiled for 4.0.2, module version = 1.0.0
        Module class: X.Org Server Extension
(II) NVIDIA GLX Module  290.10  Wed Nov 16 18:01:24 PST 2011
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions/librecord.so
(II) Module record: vendor="X.Org Foundation"
        compiled for 1.7.7, module version = 1.13.0
        Module class: X.Org Server Extension
        ABI class: X.Org Server Extension, version 2.0
(II) Loading extension RECORD
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions/libdri.so
(II) Module dri: vendor="X.Org Foundation"
        compiled for 1.7.7, module version = 1.0.0
        ABI class: X.Org Server Extension, version 2.0
(II) Loading extension XFree86-DRI
(II) LoadModule: "dri2"
(II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
(II) Module dri2: vendor="X.Org Foundation"
        compiled for 1.7.7, module version = 1.1.0
        ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DRI2
(II) LoadModule: "nvidia"
(II) Loading /usr/lib/xorg/modules/drivers/nvidia_drv.so
(II) Module nvidia: vendor="NVIDIA Corporation"
        compiled for 4.0.2, module version = 1.0.0
        Module class: X.Org Video Driver
(II) NVIDIA dlloader X Driver  290.10  Wed Nov 16 17:41:10 PST 2011
(II) NVIDIA Unified Driver for all Supported NVIDIA GPUs
(II) Primary Device is: PCI 01@00:00:0
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules/libfb.so
(II) Module fb: vendor="X.Org Foundation"
        compiled for 1.7.7, module version = 1.0.0
        ABI class: X.Org ANSI C Emulation, version 0.4
(II) Loading sub module "wfb"
(II) LoadModule: "wfb"
(II) Loading /usr/lib/xorg/modules/libwfb.so
(II) Module wfb: vendor="X.Org Foundation"
        compiled for 1.7.7, module version = 1.0.0
        ABI class: X.Org ANSI C Emulation, version 0.4
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Module "ramdac" already built-in
(**) NVIDIA(0): Depth 24, (--) framebuffer bpp 32
(==) NVIDIA(0): RGB weight 888
(==) NVIDIA(0): Default visual is TrueColor
(==) NVIDIA(0): Using gamma correction (1.0, 1.0, 1.0)
(**) NVIDIA(0): Option "TwinView" "1"
(**) NVIDIA(0): Option "MetaModes" "CRT: nvidia-auto-select +1600+0, DFP:
nvidia-auto-select +0+0"
(**) NVIDIA(0): Option "TwinViewXineramaInfoOrder" "DFP-3"
(**) Mar 01 17:15:56 NVIDIA(0): Enabling 2D acceleration
(II) Mar 01 17:15:58 NVIDIA(GPU-0): Display (LG Electronics W2254 (CRT-0)) does
not support NVIDIA
(II) Mar 01 17:15:58 NVIDIA(GPU-0):     3D Vision stereo.
(II) Mar 01 17:15:58 NVIDIA(GPU-0): Display (AUO (DFP-3)) does not support
NVIDIA 3D Vision
(II) Mar 01 17:15:58 NVIDIA(GPU-0):     stereo.
(II) Mar 01 17:15:58 NVIDIA(0): NVIDIA GPU NVS 3100M (GT218) at PCI:1:0:0
(GPU-0)
(--) Mar 01 17:15:58 NVIDIA(0): Memory: 524288 kBytes
(--) Mar 01 17:15:58 NVIDIA(0): VideoBIOS: 70.18.49.01.0c
(II) Mar 01 17:15:58 NVIDIA(0): Detected PCI Express Link width: 16X
(--) Mar 01 17:15:58 NVIDIA(0): Interlaced video modes are supported on this
GPU
(--) Mar 01 17:15:58 NVIDIA(0): Connected display device(s) on NVS 3100M at
PCI:1:0:0
(--) Mar 01 17:15:58 NVIDIA(0):     LG Electronics W2254 (CRT-0)
(--) Mar 01 17:15:58 NVIDIA(0):     AUO (DFP-3)
(--) Mar 01 17:15:58 NVIDIA(0): LG Electronics W2254 (CRT-0): 400.0 MHz maximum
pixel clock
(--) Mar 01 17:15:58 NVIDIA(0): AUO (DFP-3): 480.0 MHz maximum pixel clock
(--) Mar 01 17:15:58 NVIDIA(0): AUO (DFP-3): Internal DisplayPort
(**) Mar 01 17:15:58 NVIDIA(0): TwinView enabled
(II) Mar 01 17:15:58 NVIDIA(0): Display Devices found referenced in MetaMode:
CRT-0, DFP-3
(**) Mar 01 17:15:58 NVIDIA(0): Using HorizSync/VertRefresh ranges from the
EDID has been
(**) Mar 01 17:15:58 NVIDIA(0):     enabled on all display devices.
(**) Mar 01 17:15:58 NVIDIA(0): Using HorizSync/VertRefresh ranges from the
EDID has been
(**) Mar 01 17:15:58 NVIDIA(0):     enabled on all display devices.
(II) Mar 01 17:15:58 NVIDIA(0): Assigned Display Devices: CRT-0, DFP-3
(II) Mar 01 17:15:58 NVIDIA(0): Validated modes:
(II) Mar 01 17:15:58 NVIDIA(0):
(II) Mar 01 17:15:58 NVIDIA(0):     "CRT:nvidia-auto-select+1600+0,DFP:nvidia-
auto-select+0+0"
(II) Mar 01 17:15:58 NVIDIA(0): Virtual screen size determined to be 3280 x
1050
(--) Mar 01 17:15:58 NVIDIA(0): DPI set to (87, 83); computed from "UseEdidDpi"
X config
(--) Mar 01 17:15:58 NVIDIA(0):     option
(--) Depth 24 pixmap format is 32 bpp
(II) Mar 01 17:15:58 NVIDIA: Using 768.00 MB of virtual memory for indirect
memory access.
(II) Mar 01 17:15:58 NVIDIA(0): ACPI display change hotkey events enabled: the
X server is new
(II) Mar 01 17:15:58 NVIDIA(0):     enough to receive ACPI hotkey events.
(II) Mar 01 17:15:58 NVIDIA(0): ACPI brightness change hotkey events enabled.
(II) Mar 01 17:15:58 NVIDIA(0): Setting mode
(II) Mar 01 17:15:58 NVIDIA(0):     "CRT:nvidia-auto-select+1600+0,DFP:nvidia-
auto-select+0+0"
(II) Loading extension NV-GLX
(==) NVIDIA(0): Disabling shared memory pixmaps
(==) NVIDIA(0): Backing store disabled
(==) NVIDIA(0): Silken mouse enabled
(==) NVIDIA(0): DPMS enabled
(II) Loading extension NV-CONTROL
(WW) Mar 01 17:15:59 NVIDIA(0): Option "TwinViewXineramaInfoOrder" requested
"TV", but no such
(WW) Mar 01 17:15:59 NVIDIA(0):     display device could be found, or all
display devices by
(WW) Mar 01 17:15:59 NVIDIA(0):     that name are currently unavailable.
(II) Loading extension XINERAMA
(==) RandR enabled
(II) Initializing built-in extension Generic Event Extension
(II) Initializing built-in extension SHAPE
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension BIG-REQUESTS
(II) Initializing built-in extension SYNC
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-MISC
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
SELinux: Disabled on system, not enabling in X server
(II) Initializing extension GLX
(II) config/udev: Adding input device Power Button (/dev/input/event7)
(**) Power Button: Applying InputClass "evdev keyboard catchall"
(II) LoadModule: "evdev"
(II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
(II) Module evdev: vendor="X.Org Foundation"
        compiled for 1.7.6.901, module version = 2.3.2
        Module class: X.Org XInput Driver
        ABI class: X.Org XInput driver, version 7.0
(**) Power Button: always reports core events
(**) Power Button: Device: "/dev/input/event7"
(II) Power Button: Found keys
(II) Power Button: Configuring as keyboard
(II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc104"
(**) Option "xkb_layout" "us"
(II) config/udev: Adding input device Video Bus (/dev/input/event4)
(**) Video Bus: Applying InputClass "evdev keyboard catchall"
(**) Video Bus: always reports core events
(**) Video Bus: Device: "/dev/input/event4"
(II) Video Bus: Found keys
(II) Video Bus: Configuring as keyboard
(II) XINPUT: Adding extended input device "Video Bus" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc104"
(**) Option "xkb_layout" "us"
(II) config/udev: Adding input device Lid Switch (/dev/input/event6)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device Sleep Button (/dev/input/event5)
(**) Sleep Button: Applying InputClass "evdev keyboard catchall"
(**) Sleep Button: always reports core events
(**) Sleep Button: Device: "/dev/input/event5"
(II) Sleep Button: Found keys
(II) Sleep Button: Configuring as keyboard
(II) XINPUT: Adding extended input device "Sleep Button" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc104"
(**) Option "xkb_layout" "us"
(II) config/udev: Adding input device HP Webcam [2 MP Macro]
(/dev/input/event11)
(**) HP Webcam [2 MP Macro]: Applying InputClass "evdev keyboard catchall"
(**) HP Webcam [2 MP Macro]: always reports core events
(**) HP Webcam [2 MP Macro]: Device: "/dev/input/event11"
(II) HP Webcam [2 MP Macro]: Found keys
(II) HP Webcam [2 MP Macro]: Configuring as keyboard
(II) XINPUT: Adding extended input device "HP Webcam [2 MP Macro]" (type:
KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc104"
(**) Option "xkb_layout" "us"
(II) config/udev: Adding input device HDA Digital PCBeep (/dev/input/event13)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device HDA Intel Line In at Sep Rear Jack
(/dev/input/event14)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device HDA Intel Mic at Ext Left Jack
(/dev/input/event15)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device HDA Intel HP Out at Ext Left Jack
(/dev/input/event16)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device HDA Intel HP Out at Sep Rear Jack
(/dev/input/event17)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device Logitech USB-PS/2 Optical Mouse
(/dev/input/event2)
(**) Logitech USB-PS/2 Optical Mouse: Applying InputClass "evdev pointer
catchall"
(**) Logitech USB-PS/2 Optical Mouse: always reports core events
(**) Logitech USB-PS/2 Optical Mouse: Device: "/dev/input/event2"
(II) Logitech USB-PS/2 Optical Mouse: Found 3 mouse buttons
(II) Logitech USB-PS/2 Optical Mouse: Found scroll wheel(s)
(II) Logitech USB-PS/2 Optical Mouse: Found relative axes
(II) Logitech USB-PS/2 Optical Mouse: Found x and y relative axes
(II) Logitech USB-PS/2 Optical Mouse: Configuring as mouse
(**) Logitech USB-PS/2 Optical Mouse: YAxisMapping: buttons 4 and 5
(**) Logitech USB-PS/2 Optical Mouse: EmulateWheelButton: 4,
EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "Logitech USB-PS/2 Optical Mouse"
(type: MOUSE)
(II) Logitech USB-PS/2 Optical Mouse: initialized for relative axes.
(II) config/udev: Adding input device Logitech USB-PS/2 Optical Mouse
(/dev/input/mouse1)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device LITEON Technology USB Keyboard
(/dev/input/event3)
(**) LITEON Technology USB Keyboard: Applying InputClass "evdev keyboard
catchall"
(**) LITEON Technology USB Keyboard: always reports core events
(**) LITEON Technology USB Keyboard: Device: "/dev/input/event3"
(II) LITEON Technology USB Keyboard: Found keys
(II) LITEON Technology USB Keyboard: Configuring as keyboard
(II) XINPUT: Adding extended input device "LITEON Technology USB Keyboard"
(type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc104"
(**) Option "xkb_layout" "us"
(II) config/udev: Adding input device AT Translated Set 2 keyboard
(/dev/input/event1)
(**) AT Translated Set 2 keyboard: Applying InputClass "evdev keyboard
catchall"
(**) AT Translated Set 2 keyboard: always reports core events
(**) AT Translated Set 2 keyboard: Device: "/dev/input/event1"
(II) AT Translated Set 2 keyboard: Found keys
(II) AT Translated Set 2 keyboard: Configuring as keyboard
(II) XINPUT: Adding extended input device "AT Translated Set 2 keyboard" (type:
KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc104"
(**) Option "xkb_layout" "us"
(II) config/udev: Adding input device PS/2 Generic Mouse (/dev/input/event10)
(**) PS/2 Generic Mouse: Applying InputClass "evdev pointer catchall"
(**) PS/2 Generic Mouse: always reports core events
(**) PS/2 Generic Mouse: Device: "/dev/input/event10"
(II) PS/2 Generic Mouse: Found 3 mouse buttons
(II) PS/2 Generic Mouse: Found relative axes
(II) PS/2 Generic Mouse: Found x and y relative axes
(II) PS/2 Generic Mouse: Configuring as mouse
(**) PS/2 Generic Mouse: YAxisMapping: buttons 4 and 5
(**) PS/2 Generic Mouse: EmulateWheelButton: 4, EmulateWheelInertia: 10,
EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "PS/2 Generic Mouse" (type: MOUSE)
(II) PS/2 Generic Mouse: initialized for relative axes.
(II) config/udev: Adding input device PS/2 Generic Mouse (/dev/input/mouse2)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device SynPS/2 Synaptics TouchPad
(/dev/input/event12)
(**) SynPS/2 Synaptics TouchPad: Applying InputClass "evdev touchpad catchall"
(**) SynPS/2 Synaptics TouchPad: Applying InputClass "touchpad catchall"
(II) LoadModule: "synaptics"
(II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
(II) Module synaptics: vendor="X.Org Foundation"
        compiled for 1.7.6.901, module version = 1.2.2
        Module class: X.Org XInput Driver
        ABI class: X.Org XInput driver, version 7.0
(II) Synaptics touchpad driver version 1.2.2
(**) Option "Device" "/dev/input/event12"
(II) SynPS/2 Synaptics TouchPad: x-axis range 1472 - 5472
(II) SynPS/2 Synaptics TouchPad: y-axis range 1408 - 4448
(II) SynPS/2 Synaptics TouchPad: pressure range 0 - 255
(II) SynPS/2 Synaptics TouchPad: finger width range 0 - 0
(II) SynPS/2 Synaptics TouchPad: buttons: left right middle
(--) SynPS/2 Synaptics TouchPad: touchpad found
(**) SynPS/2 Synaptics TouchPad: always reports core events
(II) XINPUT: Adding extended input device "SynPS/2 Synaptics TouchPad" (type:
TOUCHPAD)
(**) SynPS/2 Synaptics TouchPad: (accel) keeping acceleration scheme 1
(**) SynPS/2 Synaptics TouchPad: (accel) acceleration profile 0
(**) SynPS/2 Synaptics TouchPad: (accel) acceleration factor: 2.000
(**) SynPS/2 Synaptics TouchPad: (accel) acceleration threshold: 4
(--) SynPS/2 Synaptics TouchPad: touchpad found
(II) config/udev: Adding input device SynPS/2 Synaptics TouchPad
(/dev/input/mouse3)
(**) SynPS/2 Synaptics TouchPad: Applying InputClass "touchpad catchall"
(II) Synaptics touchpad driver version 1.2.2
SynPS/2 Synaptics TouchPad no synaptics event device found
(**) Option "Device" "/dev/input/mouse3"
Query no Synaptics: 6003C8
(--) SynPS/2 Synaptics TouchPad: no supported touchpad found
(EE) SynPS/2 Synaptics TouchPad Unable to query/initialize Synaptics hardware.
(EE) PreInit failed for input device "SynPS/2 Synaptics TouchPad"
(II) UnloadModule: "synaptics"
(II) config/udev: Adding input device ST LIS3LV02DL Accelerometer
(/dev/input/event9)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device ST LIS3LV02DL Accelerometer
(/dev/input/js0)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device PC Speaker (/dev/input/event8)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device Macintosh mouse button emulation
(/dev/input/event0)
(**) Macintosh mouse button emulation: Applying InputClass "evdev pointer
catchall"
(**) Macintosh mouse button emulation: always reports core events
(**) Macintosh mouse button emulation: Device: "/dev/input/event0"
(II) Macintosh mouse button emulation: Found 3 mouse buttons
(II) Macintosh mouse button emulation: Found relative axes
(II) Macintosh mouse button emulation: Found x and y relative axes
(II) Macintosh mouse button emulation: Configuring as mouse
(**) Macintosh mouse button emulation: YAxisMapping: buttons 4 and 5
(**) Macintosh mouse button emulation: EmulateWheelButton: 4,
EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "Macintosh mouse button emulation"
(type: MOUSE)
(II) Macintosh mouse button emulation: initialized for relative axes.
(II) config/udev: Adding input device Macintosh mouse button emulation
(/dev/input/mouse0)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device ACPI Virtual Keyboard Device
(/dev/input/event18)
(**) ACPI Virtual Keyboard Device: Applying InputClass "evdev keyboard
catchall"
(**) ACPI Virtual Keyboard Device: always reports core events
(**) ACPI Virtual Keyboard Device: Device: "/dev/input/event18"
(II) ACPI Virtual Keyboard Device: Found keys
(II) ACPI Virtual Keyboard Device: Configuring as keyboard
(II) XINPUT: Adding extended input device "ACPI Virtual Keyboard Device" (type:
KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc104"
(**) Option "xkb_layout" "us"
(II) Open ACPI successful (/var/run/acpid.socket)
(II) Mar 01 17:17:56 NVIDIA(0): Setting mode
(II) Mar 01 17:17:56 NVIDIA(0):     "CRT:nvidia-auto-select+1600+0,DFP:nvidia-
auto-select+0+0"
(II) Mar 01 17:17:57 NVIDIA(0): ACPI display change hotkey events enabled: the
X server is new
(II) Mar 01 17:17:57 NVIDIA(0):     enough to receive ACPI hotkey events.
(II) Mar 01 17:17:57 NVIDIA(0): ACPI brightness change hotkey events enabled.
(--) SynPS/2 Synaptics TouchPad: touchpad found
(II) Power Button: Device reopened after 1 attempts.
(II) Video Bus: Device reopened after 1 attempts.
(II) Sleep Button: Device reopened after 1 attempts.
(II) HP Webcam [2 MP Macro]: Device reopened after 1 attempts.
(II) Logitech USB-PS/2 Optical Mouse: Device reopened after 1 attempts.
(II) LITEON Technology USB Keyboard: Device reopened after 1 attempts.
(II) AT Translated Set 2 keyboard: Device reopened after 1 attempts.
(II) PS/2 Generic Mouse: Device reopened after 1 attempts.
(II) Macintosh mouse button emulation: Device reopened after 1 attempts.
(II) ACPI Virtual Keyboard Device: Device reopened after 1 attempts.
(WW) Mar 01 17:17:58 NVIDIA(0): Option "TwinViewXineramaInfoOrder" requested
"TV", but no such
(WW) Mar 01 17:17:58 NVIDIA(0):     display device could be found, or all
display devices by
(WW) Mar 01 17:17:58 NVIDIA(0):     that name are currently unavailable.
^^^^^^^^^^ /var/log/Xorg.0.log ^^^^^^^^^^



-- System Information:
Debian Release: 6.0.4
  APT prefers stable
  APT policy: (990, 'stable'), (600, 'testing'), (500, 'stable-updates')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=he_IL.iso8859-8 (charmap=ISO-8859-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages nvidia-glx depends on:
ii  dpkg                          1.15.8.12  Debian package management system
ii  libgl1-nvidia-glx             290.10-1   NVIDIA binary OpenGL libraries
ii  nvidia-alternative            290.10-1   allows the selection of NVIDIA as 
ii  nvidia-installer-cleanup      20111111+2 Cleanup after driver installation 
ii  nvidia-kernel-dkms [nvidia-ke 290.10-1   NVIDIA binary kernel module DKMS s
ii  nvidia-support                20111111+2 NVIDIA binary graphics driver supp
ii  nvidia-vdpau-driver           290.10-1   NVIDIA vdpau driver
ii  xserver-xorg-video-nvidia     290.10-1   NVIDIA binary Xorg driver

nvidia-glx recommends no packages.

Versions of packages nvidia-glx suggests:
ii  nvidia-kernel-dkms [nvidia-ke 290.10-1   NVIDIA binary kernel module DKMS s
ii  nvidia-kernel-source          290.10-1   NVIDIA binary kernel module source
ii  nvidia-settings               290.10-1   Tool for configuring the NVIDIA gr

Versions of packages libgl1-nvidia-glx depends on:
ii  libc6                         2.11.3-2   Embedded GNU C Library: Shared lib
ii  libx11-6                      2:1.3.3-4  X11 client-side library
ii  libxext6                      2:1.1.2-1  X11 miscellaneous extension librar
ii  libxv1                        2:1.0.5-1  X11 Video extension library
ii  libxvmc1                      2:1.0.5-1  X11 Video extension library
ii  multiarch-support             2.13-26    Transitional package to ensure mul
ii  nvidia-alternative            290.10-1   allows the selection of NVIDIA as 
ii  nvidia-installer-cleanup      20111111+2 Cleanup after driver installation 
ii  nvidia-support                20111111+2 NVIDIA binary graphics driver supp

Versions of packages xserver-xorg-video-nvidia depends on:
ii  libc6                         2.11.3-2   Embedded GNU C Library: Shared lib
ii  libgl1-nvidia-glx             290.10-1   NVIDIA binary OpenGL libraries
ii  nvidia-alternative            290.10-1   allows the selection of NVIDIA as 
ii  nvidia-installer-cleanup      20111111+2 Cleanup after driver installation 
ii  nvidia-support                20111111+2 NVIDIA binary graphics driver supp
ii  xserver-xorg-core [xorg-video 2:1.7.7-14 Xorg X server - core server

Versions of packages nvidia-alternative depends on:
ii  glx-alternative-nvidia        0.2.1      allows the selection of NVIDIA as 
ii  libgl1-nvidia-alternatives    290.10-1   transition libGL.so* diversions to
ii  libglx-nvidia-alternatives    290.10-1   transition libgl.so diversions to 

Versions of packages nvidia-kernel-dkms depends on:
ii  dkms                          2.1.1.2-5  Dynamic Kernel Module Support Fram
ii  nvidia-installer-cleanup      20111111+2 Cleanup after driver installation 
ii  nvidia-kernel-common          20111111+2 NVIDIA binary kernel module suppor

Versions of packages nvidia-kernel-source depends on:
ii  debhelper                     8.0.0      helper programs for debian/rules
ii  make                          3.81-8     An utility for Directing compilati
ii  quilt                         0.48-7     Tool to work with series of patche

Versions of packages glx-alternative-nvidia depends on:
ii  glx-alternative-mesa          0.2.1      allows the selection of MESA as GL
ii  glx-diversions                0.2.1      prepare for using accelerated GLX 

Versions of packages nvidia-glx is related to:
ii  libdrm-no 2.4.21-1~squeeze3              Userspace interface to nouveau-spe
pn  libdrm-no <none>                         (no description available)
ii  libgl1-nv 290.10-1                       NVIDIA binary OpenGL libraries
pn  libgl1-nv <none>                         (no description available)
ii  linux-hea 2.6.32+29                      Header files for Linux 2.6-amd64 (
ii  linux-hea 2.6.32-41                      Header files for Linux 2.6.32-5-am
ii  nvidia-gl 290.10-1                       NVIDIA metapackage
ii  nvidia-ke 20111111+2                     NVIDIA binary kernel module suppor
ii  nvidia-ke 290.10-1                       NVIDIA binary kernel module DKMS s
ii  nvidia-ke 290.10-1                       NVIDIA binary kernel module source
ii  nvidia-se 290.10-1                       Tool for configuring the NVIDIA gr
ii  nvidia-su 20111111+2                     NVIDIA binary graphics driver supp
ii  nvidia-xc 290.10-1                       X configuration tool for non-free 
ii  xserver-x 1:7.5+8+squeeze1               the X.Org X server
ii  xserver-x 2:1.7.7-14                     Xorg X server - core server
ii  xserver-x 1:0.0.15+git20100329+7858345-5 X.Org X server -- Nouveau display 
ii  xserver-x 290.10-1                       NVIDIA binary Xorg driver

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#661822; Package nvidia-glx. (Fri, 23 Mar 2012 13:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Fri, 23 Mar 2012 13:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 661822@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Nathan Wallach <tani@tx.technion.ac.il>, 661822@bugs.debian.org
Subject: Re: Bug#661822: nvidia-glx: NVIDIA 295.20 hard-crashes system on suspend, stop X server
Date: Fri, 23 Mar 2012 14:55:32 +0100
On 2012-03-01 17:17, Nathan Wallach wrote:
> Had major problems with 295.20-1 with suspend/shutdown/logout and even stopping
> gdm or the X server. After downgrading back to 290.10-1 suspend/resume work
> fine again.

I just uploaded 295.33-1. You might want to give it a try. If this does
not fix the problem, it should be reported upstream.


Andreas




Added tag(s) moreinfo. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Fri, 23 Mar 2012 14:39:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#661822; Package nvidia-glx. (Sun, 01 Apr 2012 15:27:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nathan Wallach <tani@techunix.technion.ac.il>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Sun, 01 Apr 2012 15:27:13 GMT) Full text and rfc822 format available.

Message #17 received at 661822@bugs.debian.org (full text, mbox):

From: Nathan Wallach <tani@techunix.technion.ac.il>
To: Andreas Beckmann <debian@abeckmann.de>
Cc: 661822@bugs.debian.org
Subject: Re: Bug#661822: nvidia-glx: NVIDIA 295.20 hard-crashes system on suspend, stop X server
Date: Sun, 1 Apr 2012 18:12:48 +0300 (IDT)
> I just uploaded 295.33-1. You might want to give it a try. If this does
> not fix the problem, it should be reported upstream.

A quick try of 295.33-1 led to the same problem. I did not have time to 
spend collecting debugging data for nVidia yet to report upstream (again).

Nathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#661822; Package nvidia-glx. (Wed, 04 Apr 2012 10:45:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Wed, 04 Apr 2012 10:45:16 GMT) Full text and rfc822 format available.

Message #22 received at 661822@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Nathan Wallach <tani@techunix.technion.ac.il>, 661822@bugs.debian.org
Subject: Re: Bug#661822: nvidia-glx: NVIDIA 295.20 hard-crashes system on suspend, stop X server
Date: Wed, 04 Apr 2012 12:42:17 +0200
On 2012-04-01 17:12, Nathan Wallach wrote:
> 
>> I just uploaded 295.33-1. You might want to give it a try. If this does
>> not fix the problem, it should be reported upstream.
> 
> A quick try of 295.33-1 led to the same problem. I did not have time to
> spend collecting debugging data for nVidia yet to report upstream (again).

Please see the upstream bug reporting instructions:
http://www.nvnews.net/vbulletin/showthread.php?t=46678
There is nothing the Debian NVIDIA Maintainers can do about such issues
in the non-free driver.

Andreas




Marked as found in versions nvidia-graphics-drivers/295.33-1. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Wed, 04 Apr 2012 11:12:30 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'important' Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Wed, 04 Apr 2012 11:12:31 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Wed, 04 Apr 2012 11:12:31 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#661822; Package nvidia-glx. (Wed, 11 Jul 2012 19:36:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nathan Wallach <tani@techunix.technion.ac.il>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Wed, 11 Jul 2012 19:36:16 GMT) Full text and rfc822 format available.

Message #33 received at 661822@bugs.debian.org (full text, mbox):

From: Nathan Wallach <tani@techunix.technion.ac.il>
To: 661822@bugs.debian.org
Subject: Re: Bug#661822: Acknowledgement (nvidia-glx: NVIDIA 295.20 hard-crashes system on suspend, stop X server)
Date: Wed, 11 Jul 2012 22:21:49 +0300 (IDT)
Problems seem to have been fixed in 295.59 (possibly sooner) - multiple 
suspend and restores were successful, as well as switching to VT and back 
- both of which caused problems before.

The problem still existed in 295.40. I did not test 295.49 or 295.53 on 
the machine which had the problems.

My bug # 661822 can be closed - fixed by revised upstream release.

May be related to #667684 - but should be verified with the people who had 
that problem.

Thanks,

Nathan

------------------
Dr. Nathan Wallach
Department of Mathematics
Technion - Israel Institute of  Technology
32000 Haifa

Amado 817
office: 04-829-4277





Reply sent to Andreas Beckmann <debian@abeckmann.de>:
You have taken responsibility. (Wed, 11 Jul 2012 19:39:04 GMT) Full text and rfc822 format available.

Notification sent to Nathan Wallach <tani@tx.technion.ac.il>:
Bug acknowledged by developer. (Wed, 11 Jul 2012 19:39:04 GMT) Full text and rfc822 format available.

Message #38 received at 661822-done@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Nathan Wallach <tani@techunix.technion.ac.il>
Cc: 661822-done@bugs.debian.org
Subject: Re: Bug#661822: Acknowledgement (nvidia-glx: NVIDIA 295.20 hard-crashes system on suspend, stop X server)
Date: Wed, 11 Jul 2012 21:36:06 +0200
Version: 295.59-1

On 2012-07-11 21:21, Nathan Wallach wrote:
> Problems seem to have been fixed in 295.59 (possibly sooner) - multiple
...
> My bug # 661822 can be closed - fixed by revised upstream release.

Thanks for the update!

Note: there is a suspend issue with the 302.xx series, see #679577
So you may want to wait for 304.xx (or whatever version will be the next
release by Nvidia).


Andreas




Removed tag(s) moreinfo. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Fri, 13 Jul 2012 07:48:34 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 Aug 2012 07:25:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:11:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.